Name:           perl-Test-Requires-Git
Version:        1.007
Release:        2%{?dist}
Summary:        Check your test requirements against the available version of Git
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Requires-Git/
Source0:        http://www.cpan.org/modules/by-module/Test/Test-Requires-Git-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Git::Version::Compare) >= 1.003
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl-generators

%global __requires_exclude ^perl\\(Git::Version::Compare\\)$
Requires:       perl(Git::Version::Compare) >= 1.001
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Test::Requires::Git checks if the version of Git available for testing
meets the given requirements.

%prep
%setup -q -n Test-Requires-Git-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -delete

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Oct 03 2016 Jan Pazdziora <jpazdziora@redhat.com> - 1.007-1
- 1381100 - Rebase to upstream version 1.007.

* Thu May 19 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.006-2
- Perl 5.24 re-rebuild of bootstrapped packages

* Mon May 16 2016 Jan Pazdziora <jpazdziora@redhat.com> - 1.006-1
- 1335905 - Rebase to upstream version 1.006.

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.005-2
- Perl 5.24 rebuild

* Mon Apr 11 2016 Jan Pazdziora <jpazdziora@redhat.com> - 1.005-1
- Purged based on 1317392 review.
- Specfile autogenerated by cpanspec 1.78.
